Skip to main content

Create or Update mTLS Configuration for Target

PUT 

/targets/:id/mtls/

Create or replace the mTLS configuration for a target by uploading a .p12 certificate file and password.

Request​

Path Parameters

    id stringrequired

Body

required

    p12_file urirequired

    Possible values: Value must match regular expression (?:p12|pfx)$

    The .p12 file containing the client certificate and private key.

    password stringrequired

    Password to decrypt the .p12 file.

Responses​

Schema

    configured booleanrequired

    Indicates if mTLS is configured for the target.

    enabled booleanrequired

    Indicates if mTLS is currently enabled for the target.

Loading...